#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	libqrencode
Version		:	4.0.0
Release		:	17.2.0.rel%{?dist}
Summary		:	a fast and compact library for encoding data in a QR Code
Group		:	Applications/System

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2+
URL		:	https://github.com/fukuchi/libqrencode

Source0		:	%{name}-%{version}.tar.gz
#-----------------------------------------------------------------------------
BuildRequires	:	autoconf
BuildRequires	:	automake
BuildRequires	:	libpng-devel
BuildRequires	:	libtool
BuildRequires	:	pkg-config
#-----------------------------------------------------------------------------
%description
Libqrencode is a fast and compact library for encoding data
in a QR Code, a 2D symbology that can be scanned by handy
terminals such as a smartphone. The capacity of QR Code is
up to 7000 digits or 4000 characters and has high robustness.

Libqrencode accepts a string or a list of data chunks then
encodes in a QR Code symbol as a bitmap array. While other
QR Code applications generate an image file, using libqrencode
allows applications to render QR Code symbols from raw bitmap
data directly. This library also contains a command-line utility
outputs QR Code images in various formats.


#-----------------------------------------------------------------------------
%prep
%setup -q

#-----------------------------------------------------------------------------
%build

./autogen.sh
./configure						\
	--prefix=%{_prefix}				\
        --sysconfdir %{_sysconfdir}			\
        --includedir %{_includedir}			\
	--bindir %{_bindir}				\
	--libdir %{_libdir}				\
	--datadir %{_datadir}				\
	--libexecdir %{_libexecdir}			\
	--docdir %{_defaultdocdir}/%{name}-%{version}	\
	--enable-shared					\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc COPYING NEWS README
%{_bindir}/qrencode
%{_includedir}/qrencode.h
%{_libdir}/%{name}.so*
%{_libdir}/pkgconfig/%{name}.pc
%{_mandir}/man1/qrencode.1.gz
#-----------------------------------------------------------------------------
%postun
/usr/sbin/ldconfig

%post
/usr/sbin/ldconfig

#-----------------------------------------------------------------------------
%changelog
